> ## Documentation Index
> Fetch the complete documentation index at: https://docs.radio-r.cz/llms.txt
> Use this file to discover all available pages before exploring further.

# Create User

> This endpoint creates a new user

### Body

<ParamField body="current_token" type="string">
  This is the current user group token you have for the user group that you want
  to rotate.
</ParamField>

### Response

<ResponseField name="success" type="number">
  Indicates whether the call was successful. 1 if successful, 0 if not.
</ResponseField>

<ResponseField name="user_group" type="object">
  The contents of the user group

  <Expandable title="Toggle object">
    <ResponseField name="team_id" type="number">
      This is the internal ID for this user group. You don't need to record this
      information, since you will not need to use it.
    </ResponseField>

    <ResponseField name="token" type="string">
      This is the user group token (userGroupToken or USER\_GROUP\_TOKEN) that will be
      used to identify which user group is viewing the dashboard. You should save
      this on your end to use when rendering an embedded dashboard.
    </ResponseField>

    <ResponseField name="name" type="string">
      This is the name of the user group provided in the request body.
    </ResponseField>

    <ResponseField name="provided_id" type="string">
      This is the user\_group\_id provided in the request body.
    </ResponseField>

    <ResponseField name="api_environment_tag" type="JSON or null">
      This is the environment tag of the user group. Possible values are 'Customer'
      and 'Testing'. User group id's must be unique to each environment, so you can
      not create multiple user groups with with same id. If you have a production
      customer and a test user group with the same id, you will be required to label
      one as 'Customer' and another as 'Testing'
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request POST 'https://api.mintlify.com/api/user' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
      "current_token": ""
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": 1,
    "user_group": {
      "team_id": 3,
      "token": "<user_group_token_to_auth_dashboard>",
      "name": "Example 1",
      "provided_id": "example_1"
    }
  }
  ```
</ResponseExample>
